Subject: Termitomyces-identification

From: Peter Oei <[email-masked]>
Date: 19 Mar 1997 20:17:15 GMT

Can anybody tell me the most recent publication on the different species 
of Termitomyces? I have a publication by Bart Buyck, UBWOBA, les 
champignons du Burundi Ouest, and I have just ordered the old book by 
Roger Heim 1967, Has anybody since that time (1967) published how to 
identify them?

All hints are greatly appreciated.

Peter Oei